cdac.medinfo.sdk.hl7282.baselibs.segments

## Class IIM

- java.lang.Object
- - cdac.medinfo.sdk.hl7282.baselibs.segments.Segment
  - - cdac.medinfo.sdk.hl7282.baselibs.segments.IIM

- All Implemented Interfaces:
    ISegment

      public class IIM
      extends Segment

  IIM - Inventory Item Master Segment

  The Inventory Item Master segment (IIM) contains information about the stock of product that can be used to fulfill an ordered test/service.

  Represents an HL7 IIM message segment. This segment has the following fields:

  IIM-1: Primary Key Value - IIM (CWE)Required
  IIM-2: Service Item Code (CWE)Required
  IIM-3: Inventory Lot Number (ST)Optional
  IIM-4: Inventory Expiration Date (TS)Optional
  IIM-5: Inventory Manufacturer Name (CWE)Optional
  IIM-6: Inventory Location (CWE)Optional
  IIM-7: Inventory Received Date (TS)Optional
  IIM-8: Inventory Received Quantity (NM)Optional
  IIM-9: Inventory Received Quantity Unit (CWE)Optional
  IIM-10: Inventory Received Item Cost (MO)Optional
  IIM-11: Inventory On Hand Date (TS)Optional
  IIM-12: Inventory On Hand Quantity (NM)Optional
  IIM-13: Inventory On Hand Quantity Unit (CWE)Optional
  IIM-14: Procedure Code (CE)Optional
  IIM-15: Procedure Code Modifier (CE)Optional

  This class provides mechanism to validate message against HL7 v 2.8.2 standard. The class provides accessors & mutators for the elements mentioned above. The class has validate method which validates Message against HL7 v 2.8.2 standard.

  User can also create Segment through `SegmentFactory`

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `IIM()` Constructs the IIM segment.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addProcedureCodeModifier(CNE objProcedureCodeModifier)` Add the Procedure Code Modifier.
    `void` | `addProcedureCodeModifier(java.lang.String strIdentifier, java.lang.String strText, java.lang.String strNameOfCodingSystem, java.lang.String strAlternateIdentifier, java.lang.String strAlternateText, java.lang.String strNameOfAlternateCodingSystem, java.lang.String strCodingSystemVersionID, java.lang.String strAlternateCodingSystemVersionID, java.lang.String strOriginalText, java.lang.String strSecondAlternateIdentifier, java.lang.String strSecondAlternateText, java.lang.String strNameOfSecondAltenateCodingSystem, java.lang.String strSecondAlternateCodingSystemVersionID, java.lang.String strCodingSystemOID, java.lang.String strValueSetOID, java.lang.String strValueSetVersionID, java.lang.String strAlternateCodingSystemOID, java.lang.String strAlternateValueSetOID, java.lang.String strAlternateValueSetVersionID, java.lang.String strSecondAlternateCodingSystemOID, java.lang.String strSecondAlternateValueSetOID, java.lang.String strSecondAlternateValueSetVersionID)` Add the Procedure Code Modifier.
    `DTM` | `getInventoryExpirationDate()` Retrieves the Inventory Expiration Date.
    `CWE` | `getInventoryLocation()` Retrieves the Inventory Location.
    `ST` | `getInventoryLotNumber()` Retrieves the Inventory Lot Number.
    `CWE` | `getInventoryManufacturerName()` Retrieves the Inventory Manufacturer Name.
    `DTM` | `getInventoryOnHandDate()` Retrieves the Inventory On Hand Date.
    `NM` | `getInventoryOnHandQuantity()` Retrieves the Inventory On Hand Quantity.
    `CWE` | `getInventoryOnHandQuantityUnit()` Retrieves the field specifies the unit for IIM-12 - Inventory on Hand Quantity.
    `DTM` | `getInventoryReceivedDate()` Retrieves the Inventory Received Date.
    `MO` | `getInventoryReceivedItemCost()` Retrieves the Inventory Received Item Cost.
    `NM` | `getInventoryReceivedQuantity()` Retrieves the Inventory Received Quantity.
    `CWE` | `getInventoryReceivedQuantityUnit()` Retrieves the Inventory Received Quantity Unit.
    `CWE` | `getPrimaryKeyValueIIM()` Retrieves the Primary Key Value IIM.
    `CNE` | `getProcedureCode()` Retrieves the Procedure Code.
    `ISingleCollection<CNE>` | `getProcedureCodeModifier()` Retrieves the Procedure Code Modifier.
    `CWE` | `getServiceItemCode()` Retrieves the Service Item Code.
    `void` | `setInventoryExpirationDate(DTM objinventoryExpirationDate)` Set the Inventory Expiration Date.
    `void` | `setInventoryExpirationDate(java.lang.String strTime, java.lang.String strDegreeOfPrecision)` Set the Inventory Expiration Date.
    `void` | `setInventoryLocation(CWE objinventoryLocation)` Set the Inventory Location.
    `void` | `setInventoryLocation(java.lang.String strIdentifier, java.lang.String strText, java.lang.String strNameOfCodingSystem, java.lang.String strAlternateIdentifier, java.lang.String strAlternateText, java.lang.String strNameOfAlternateCodingSystem, java.lang.String strCodingSystemVersionID, java.lang.String strAlternateCodingSystemVersionId, java.lang.String strOriginalText, java.lang.String strSecondAlternateIdentifier, java.lang.String strSecondAlternateText, java.lang.String strNameofSecondAlternateCodingSystem, java.lang.String strSecondAlternateCodingSystemVersionID, java.lang.String strCodingSystemOID, java.lang.String strValueSetOID, java.lang.String strValueSetVersionID, java.lang.String strAlternateCodingSystemOID, java.lang.String strAlternateValueSetOID, java.lang.String strAlternateValueSetVersionID, java.lang.String strSecondAlternateCodingSystemOID, java.lang.String strSecondAlternateValueSetOID, java.lang.String strSecondAlternateValueSetVersionID)` Set the Inventory Location.
    `void` | `setInventoryLotNumber(ST objinventoryLotNumber)` Set the Inventory Lot Number.
    `void` | `setInventoryLotNumber(java.lang.String strInventoryLotNumber)` Set the Inventory Lot Number.
    `void` | `setInventoryManufacturerName(CWE objinventoryManufacturerName)` Set the Inventory Manufacturer Name.
    `void` | `setInventoryManufacturerName(java.lang.String strIdentifier, java.lang.String strText, java.lang.String strNameOfCodingSystem, java.lang.String strAlternateIdentifier, java.lang.String strAlternateText, java.lang.String strNameOfAlternateCodingSystem, java.lang.String strCodingSystemVersionID, java.lang.String strAlternateCodingSystemVersionId, java.lang.String strOriginalText, java.lang.String strSecondAlternateIdentifier, java.lang.String strSecondAlternateText, java.lang.String strNameofSecondAlternateCodingSystem, java.lang.String strSecondAlternateCodingSystemVersionID, java.lang.String strCodingSystemOID, java.lang.String strValueSetOID, java.lang.String strValueSetVersionID, java.lang.String strAlternateCodingSystemOID, java.lang.String strAlternateValueSetOID, java.lang.String strAlternateValueSetVersionID, java.lang.String strSecondAlternateCodingSystemOID, java.lang.String strSecondAlternateValueSetOID, java.lang.String strSecondAlternateValueSetVersionID)` Set the Inventory Manufacturer Name.
    `void` | `setInventoryOnHandDate(DTM objinventoryOnHandDate)` Set the Inventory On Hand Date.
    `void` | `setInventoryOnHandDate(java.lang.String strTime, java.lang.String strDegreeOfPrecision)` Set the Inventory On Hand Date.
    `void` | `setInventoryOnHandQuantity(NM objinventoryOnHandQuantity)` Set the Inventory On Hand Quantity.
    `void` | `setInventoryOnHandQuantity(java.lang.String strInventoryOnHandQuantity)` Set the Inventory On Hand Quantity.
    `void` | `setInventoryOnHandQuantityUnit(CWE objinventoryOnHandQuantityUnit)` Set the Inventory on Hand Quantity Unit.
    `void` | `setInventoryOnHandQuantityUnit(java.lang.String strIdentifier, java.lang.String strText, java.lang.String strNameOfCodingSystem, java.lang.String strAlternateIdentifier, java.lang.String strAlternateText, java.lang.String strNameOfAlternateCodingSystem, java.lang.String strCodingSystemVersionID, java.lang.String strAlternateCodingSystemVersionId, java.lang.String strOriginalText, java.lang.String strSecondAlternateIdentifier, java.lang.String strSecondAlternateText, java.lang.String strNameofSecondAlternateCodingSystem, java.lang.String strSecondAlternateCodingSystemVersionID, java.lang.String strCodingSystemOID, java.lang.String strValueSetOID, java.lang.String strValueSetVersionID, java.lang.String strAlternateCodingSystemOID, java.lang.String strAlternateValueSetOID, java.lang.String strAlternateValueSetVersionID, java.lang.String strSecondAlternateCodingSystemOID, java.lang.String strSecondAlternateValueSetOID, java.lang.String strSecondAlternateValueSetVersionID)` Set the Inventory on Hand Quantity Unit.
    `void` | `setInventoryReceivedDate(DTM objinventoryReceivedDate)` Set the Inventory Received Date.
    `void` | `setInventoryReceivedDate(java.lang.String strTime, java.lang.String strDegreeOfPrecision)` Set the Inventory Received Date.
    `void` | `setInventoryReceivedItemCost(MO objinventoryReceivedItemCost)` Set the Inventory Received Item Cost.
    `void` | `setInventoryReceivedItemCost(java.lang.String strQuantity, java.lang.String strDenomination)` Set the Inventory Received Item Cost.
    `void` | `setInventoryReceivedQuantity(NM objinventoryReceivedQuantity)` Set the Inventory Received Quantity.
    `void` | `setInventoryReceivedQuantity(java.lang.String strInventoryReceivedQuantity)` Set the Inventory Received Quantity.
    `void` | `setInventoryReceivedQuantityUnit(CWE objinventoryReceivedQuantityUnit)` Set the Inventory Received Quantity Unit.
    `void` | `setInventoryReceivedQuantityUnit(java.lang.String strIdentifier, java.lang.String strText, java.lang.String strNameOfCodingSystem, java.lang.String strAlternateIdentifier, java.lang.String strAlternateText, java.lang.String strNameOfAlternateCodingSystem, java.lang.String strCodingSystemVersionID, java.lang.String strAlternateCodingSystemVersionId, java.lang.String strOriginalText, java.lang.String strSecondAlternateIdentifier, java.lang.String strSecondAlternateText, java.lang.String strNameofSecondAlternateCodingSystem, java.lang.String strSecondAlternateCodingSystemVersionID, java.lang.String strCodingSystemOID, java.lang.String strValueSetOID, java.lang.String strValueSetVersionID, java.lang.String strAlternateCodingSystemOID, java.lang.String strAlternateValueSetOID, java.lang.String strAlternateValueSetVersionID, java.lang.String strSecondAlternateCodingSystemOID, java.lang.String strSecondAlternateValueSetOID, java.lang.String strSecondAlternateValueSetVersionID)` Set the Inventory Received Quantity Unit.
    `void` | `setPrimaryKeyValueIIM(CWE objprimaryKeyValueIIM)` Set the Primary Key Value IIM.
    `void` | `setPrimaryKeyValueIIM(java.lang.String strIdentifier, java.lang.String strText, java.lang.String strNameOfCodingSystem, java.lang.String strAlternateIdentifier, java.lang.String strAlternateText, java.lang.String strNameOfAlternateCodingSystem, java.lang.String strCodingSystemVersionID, java.lang.String strAlternateCodingSystemVersionId, java.lang.String strOriginalText, java.lang.String strSecondAlternateIdentifier, java.lang.String strSecondAlternateText, java.lang.String strNameofSecondAlternateCodingSystem, java.lang.String strSecondAlternateCodingSystemVersionID, java.lang.String strCodingSystemOID, java.lang.String strValueSetOID, java.lang.String strValueSetVersionID, java.lang.String strAlternateCodingSystemOID, java.lang.String strAlternateValueSetOID, java.lang.String strAlternateValueSetVersionID, java.lang.String strSecondAlternateCodingSystemOID, java.lang.String strSecondAlternateValueSetOID, java.lang.String strSecondAlternateValueSetVersionID)` Set the Primary Key Value IIM.
    `void` | `setProcedureCode(CNE objprocedureCode)` Set the Procedure Code.
    `void` | `setProcedureCode(java.lang.String strIdentifier, java.lang.String strText, java.lang.String strNameOfCodingSystem, java.lang.String strAlternateIdentifier, java.lang.String strAlternateText, java.lang.String strNameOfAlternateCodingSystem, java.lang.String strCodingSystemVersionID, java.lang.String strAlternateCodingSystemVersionID, java.lang.String strOriginalText, java.lang.String strSecondAlternateIdentifier, java.lang.String strSecondAlternateText, java.lang.String strNameOfSecondAltenateCodingSystem, java.lang.String strSecondAlternateCodingSystemVersionID, java.lang.String strCodingSystemOID, java.lang.String strValueSetOID, java.lang.String strValueSetVersionID, java.lang.String strAlternateCodingSystemOID, java.lang.String strAlternateValueSetOID, java.lang.String strAlternateValueSetVersionID, java.lang.String strSecondAlternateCodingSystemOID, java.lang.String strSecondAlternateValueSetOID, java.lang.String strSecondAlternateValueSetVersionID)` Set the Procedure Code.
    `void` | `setProcedureCodeModifier(ISingleCollection<CNE> objProcedureCodeModifierList)` Set the Procedure Code Modifier.
    `void` | `setServiceItemCode(CWE objserviceItemCode)` Set the Service Item Code.
    `void` | `setServiceItemCode(java.lang.String strIdentifier, java.lang.String strText, java.lang.String strNameOfCodingSystem, java.lang.String strAlternateIdentifier, java.lang.String strAlternateText, java.lang.String strNameOfAlternateCodingSystem, java.lang.String strCodingSystemVersionID, java.lang.String strAlternateCodingSystemVersionId, java.lang.String strOriginalText, java.lang.String strSecondAlternateIdentifier, java.lang.String strSecondAlternateText, java.lang.String strNameofSecondAlternateCodingSystem, java.lang.String strSecondAlternateCodingSystemVersionID, java.lang.String strCodingSystemOID, java.lang.String strValueSetOID, java.lang.String strValueSetVersionID, java.lang.String strAlternateCodingSystemOID, java.lang.String strAlternateValueSetOID, java.lang.String strAlternateValueSetVersionID, java.lang.String strSecondAlternateCodingSystemOID, java.lang.String strSecondAlternateValueSetOID, java.lang.String strSecondAlternateValueSetVersionID)` Set the Service Item Code.
    `boolean` | `validate()` Validates HL7 Message objects .

    - ### Methods inherited from class cdac.medinfo.sdk.hl7282.baselibs.segments.Segment

      `addUnRecognizedField, dumpSegment, getFields, getName, getUnrecognizedFields, moveToNextSegment, parse, removeDataElement, removeDataElement, serialize, setName, setUnRecognizedField, updateDataElement, updateDataElement, writeToXML`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### IIM

          public IIM()

      Constructs the IIM segment.

  - ### Method Detail

    - #### getPrimaryKeyValueIIM

          public CWE getPrimaryKeyValueIIM()

      Retrieves the Primary Key Value IIM. This field contains the code assigned by the institution for the purpose of uniquely identifying an inventories item.
      Returns:
        CWE - primaryKeyValueIIM

    - #### getServiceItemCode

          public CWE getServiceItemCode()

      Retrieves the Service Item Code. This field contains the identifier of the service item.
      Returns:
        CWE - serviceItemCode

    - #### getInventoryLotNumber

          public ST getInventoryLotNumber()

      Retrieves the Inventory Lot Number. This field contains the lot number of the service item in inventory.
      Returns:
        ST - inventoryLotNumber

    - #### getInventoryExpirationDate

          public DTM getInventoryExpirationDate()

      Retrieves the Inventory Expiration Date. This field contains the expiration date of the service item in inventory.
      Returns:
        TS - inventoryExpirationDate

    - #### getInventoryManufacturerName

          public CWE getInventoryManufacturerName()

      Retrieves the Inventory Manufacturer Name. This field contains the manufacturer of the service item in inventory.
      Returns:
        CWE - inventoryManufacturerName

    - #### getInventoryLocation

          public CWE getInventoryLocation()

      Retrieves the Inventory Location. This field contains the location of the inventory.
      Returns:
        CWE - inventoryLocation

    - #### getInventoryReceivedDate

          public DTM getInventoryReceivedDate()

      Retrieves the Inventory Received Date. This field contains the most recent date that the product in question is received into inventory.
      Returns:
        TS - inventoryReceivedDate

    - #### getInventoryReceivedQuantity

          public NM getInventoryReceivedQuantity()

      Retrieves the Inventory Received Quantity. This field contains the quantity of this inventory item that is received on the date specific in IIM-7 Inventory Received Date.
      Returns:
        NM - inventoryReceivedQuantity

    - #### getInventoryReceivedQuantityUnit

          public CWE getInventoryReceivedQuantityUnit()

      Retrieves the Inventory Received Quantity Unit. This field specify the unit for IIM-8 Inventory Received Quantity and IIM-10 Inventory Received Item Cost.
      Returns:
        CWE - inventoryReceivedQuantityUnit

    - #### getInventoryReceivedItemCost

          public MO getInventoryReceivedItemCost()

      Retrieves the Inventory Received Item Cost. This field contains the per-unit cost of the inventory item at the time of receipt.
      Returns:
        MO - inventoryReceivedItemCost

    - #### getInventoryOnHandDate

          public DTM getInventoryOnHandDate()

      Retrieves the Inventory On Hand Date. This field specify the most recent date that an inventory count for the inventory item was performed.
      Returns:
        TS - inventoryOnHandDate

    - #### getInventoryOnHandQuantity

          public NM getInventoryOnHandQuantity()

      Retrieves the Inventory On Hand Quantity. This field contains the quantity of this inventory item that is available for issue/use as of the date specified in IIM-11 Inventory on Hand Date.
      Returns:
        NM - inventoryOnHandQuantity

    - #### getInventoryOnHandQuantityUnit

          public CWE getInventoryOnHandQuantityUnit()

      Retrieves the field specifies the unit for IIM-12 - Inventory on Hand Quantity.
      Returns:
        CWE - inventoryOnHandQuantityUnit

    - #### getProcedureCode

          public CNE getProcedureCode()

      Retrieves the Procedure Code. This field contains a unique identifier assigned to the service item, if any, associated with the charge.
      Returns:
        CE - procedureCode

    - #### getProcedureCodeModifier

          public ISingleCollection<CNE> getProcedureCodeModifier()

      Retrieves the Procedure Code Modifier. This field contains the procedure code modifier to the procedure code reported in IIM-14 Procedure Code, when applicable.
      Returns:
        ISingleCollection - procedureCodeModifier

    - #### setPrimaryKeyValueIIM

          public void setPrimaryKeyValueIIM(java.lang.String strIdentifier,
                                   java.lang.String strText,
                                   java.lang.String strNameOfCodingSystem,
                                   java.lang.String strAlternateIdentifier,
                                   java.lang.String strAlternateText,
                                   java.lang.String strNameOfAlternateCodingSystem,
                                   java.lang.String strCodingSystemVersionID,
                                   java.lang.String strAlternateCodingSystemVersionId,
                                   java.lang.String strOriginalText,
                                   java.lang.String strSecondAlternateIdentifier,
                                   java.lang.String strSecondAlternateText,
                                   java.lang.String strNameofSecondAlternateCodingSystem,
                                   java.lang.String strSecondAlternateCodingSystemVersionID,
                                   java.lang.String strCodingSystemOID,
                                   java.lang.String strValueSetOID,
                                   java.lang.String strValueSetVersionID,
                                   java.lang.String strAlternateCodingSystemOID,
                                   java.lang.String strAlternateValueSetOID,
                                   java.lang.String strAlternateValueSetVersionID,
                                   java.lang.String strSecondAlternateCodingSystemOID,
                                   java.lang.String strSecondAlternateValueSetOID,
                                   java.lang.String strSecondAlternateValueSetVersionID)

      Set the Primary Key Value IIM. This field contains the code assigned by the institution for the purpose of uniquely identifying an inventoried item.
      Parameters:
        `strIdentifier` - Specifies of characters (the code) that uniquely identifies the item being referenced.
        `strText` - Specifies The descriptive or textual name of the identifier, e.g., myocardial infarction.
        `strNameOfCodingSystem` - Identifies the coding scheme being used in the identifier component.
        `strAlternateIdentifier` - Specifies an alternate sequence of characters (the code) that uniquely identifies the item being referenced.
        `strAlternateText` - Specifies the descriptive or textual name of the alternate identifier. See usage note in section introduction.
        `strNameOfAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strCodingSystemVersionID` - A sequence of characters that uniquely identifies a second alternate code.
        `strAlternateCodingSystemVersionId` - This component carries the version for the coding system identified by components 4-6.
        `strOriginalText` - The text as seen and/or selected by the user who entered the data.
        `strSecondAlternateIdentifier` - A sequence of characters that uniquely identifies a second alternate code.
        `strSecondAlternateText` - The descriptive or textual name of the alternate identifier.
        `strNameofSecondAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strSecondAlternateCodingSystemVersionID` - This component carries the version for the coding system identified by components 10-12.
        `strCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.3.
        `strValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.1 is obtained.
        `strValueSetVersionID` - This component carries the version for the value set identified by CWE.15. The version is a date. The date is the date/time that the value set being used was published.
        `strAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.6.
        `strAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.4 is obtained.
        `strAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.18. The version is a date.
        `strSecondAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.12.
        `strSecondAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.10 is obtained.
        `strSecondAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.21. The version is a date.

    - #### setPrimaryKeyValueIIM

          public void setPrimaryKeyValueIIM(CWE objprimaryKeyValueIIM)

      Set the Primary Key Value IIM. This field contains the code assigned by the institution for the purpose of uniquely identifying an inventoried item.
      Parameters:
        `objprimaryKeyValueIIM` - Object of Primary Key Value IIM.

    - #### setServiceItemCode

          public void setServiceItemCode(java.lang.String strIdentifier,
                                java.lang.String strText,
                                java.lang.String strNameOfCodingSystem,
                                java.lang.String strAlternateIdentifier,
                                java.lang.String strAlternateText,
                                java.lang.String strNameOfAlternateCodingSystem,
                                java.lang.String strCodingSystemVersionID,
                                java.lang.String strAlternateCodingSystemVersionId,
                                java.lang.String strOriginalText,
                                java.lang.String strSecondAlternateIdentifier,
                                java.lang.String strSecondAlternateText,
                                java.lang.String strNameofSecondAlternateCodingSystem,
                                java.lang.String strSecondAlternateCodingSystemVersionID,
                                java.lang.String strCodingSystemOID,
                                java.lang.String strValueSetOID,
                                java.lang.String strValueSetVersionID,
                                java.lang.String strAlternateCodingSystemOID,
                                java.lang.String strAlternateValueSetOID,
                                java.lang.String strAlternateValueSetVersionID,
                                java.lang.String strSecondAlternateCodingSystemOID,
                                java.lang.String strSecondAlternateValueSetOID,
                                java.lang.String strSecondAlternateValueSetVersionID)

      Set the Service Item Code. This field contains the identifier of the service item.
      Parameters:
        `strIdentifier` - Specifies of characters (the code) that uniquely identifies the item being referenced.
        `strText` - Specifies The descriptive or textual name of the identifier, e.g., myocardial infarction.
        `strNameOfCodingSystem` - Identifies the coding scheme being used in the identifier component.
        `strAlternateIdentifier` - Specifies an alternate sequence of characters (the code) that uniquely identifies the item being referenced.
        `strAlternateText` - Specifies the descriptive or textual name of the alternate identifier. See usage note in section introduction.
        `strNameOfAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strCodingSystemVersionID` - A sequence of characters that uniquely identifies a second alternate code.
        `strAlternateCodingSystemVersionId` - This component carries the version for the coding system identified by components 4-6.
        `strOriginalText` - The text as seen and/or selected by the user who entered the data.
        `strSecondAlternateIdentifier` - A sequence of characters that uniquely identifies a second alternate code.
        `strSecondAlternateText` - The descriptive or textual name of the alternate identifier.
        `strNameofSecondAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strSecondAlternateCodingSystemVersionID` - This component carries the version for the coding system identified by components 10-12.
        `strCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.3.
        `strValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.1 is obtained.
        `strValueSetVersionID` - This component carries the version for the value set identified by CWE.15. The version is a date. The date is the date/time that the value set being used was published.
        `strAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.6.
        `strAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.4 is obtained.
        `strAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.18. The version is a date.
        `strSecondAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.12.
        `strSecondAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.10 is obtained.
        `strSecondAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.21. The version is a date.

    - #### setServiceItemCode

          public void setServiceItemCode(CWE objserviceItemCode)

      Set the Service Item Code. This field contains the identifier of the service item.
      Parameters:
        `objserviceItemCode` - Object of Service Item Code.

    - #### setInventoryLotNumber

          public void setInventoryLotNumber(java.lang.String strInventoryLotNumber)

      Set the Inventory Lot Number. This field contains the lot number of the service item in inventory.
      Parameters:
        `strInventoryLotNumber` - Used as InventoryLotNumber.

    - #### setInventoryLotNumber

          public void setInventoryLotNumber(ST objinventoryLotNumber)

      Set the Inventory Lot Number. This field contains the lot number of the service item in inventory.
      Parameters:
        `objinventoryLotNumber` - Object of Inventory Lot Number.

    - #### setInventoryExpirationDate

          public void setInventoryExpirationDate(java.lang.String strTime,
                                        java.lang.String strDegreeOfPrecision)

      Set the Inventory Expiration Date. This field contains the expiration date of the service item in inventory.
      Parameters:
        `strTime` - Specifies a point in time using a 24-hour clock notation.
        `strDegreeOfPrecision` - The degree of precision of the time stamp .Suggested Values Y,L,D,H,M,S [Refer to HL7 Table 0529].

    - #### setInventoryExpirationDate

          public void setInventoryExpirationDate(DTM objinventoryExpirationDate)

      Set the Inventory Expiration Date. This field contains the expiration date of the service item in inventory.
      Parameters:
        `objinventoryExpirationDate` - Object of Inventory Expiration Date.

    - #### setInventoryManufacturerName

          public void setInventoryManufacturerName(java.lang.String strIdentifier,
                                          java.lang.String strText,
                                          java.lang.String strNameOfCodingSystem,
                                          java.lang.String strAlternateIdentifier,
                                          java.lang.String strAlternateText,
                                          java.lang.String strNameOfAlternateCodingSystem,
                                          java.lang.String strCodingSystemVersionID,
                                          java.lang.String strAlternateCodingSystemVersionId,
                                          java.lang.String strOriginalText,
                                          java.lang.String strSecondAlternateIdentifier,
                                          java.lang.String strSecondAlternateText,
                                          java.lang.String strNameofSecondAlternateCodingSystem,
                                          java.lang.String strSecondAlternateCodingSystemVersionID,
                                          java.lang.String strCodingSystemOID,
                                          java.lang.String strValueSetOID,
                                          java.lang.String strValueSetVersionID,
                                          java.lang.String strAlternateCodingSystemOID,
                                          java.lang.String strAlternateValueSetOID,
                                          java.lang.String strAlternateValueSetVersionID,
                                          java.lang.String strSecondAlternateCodingSystemOID,
                                          java.lang.String strSecondAlternateValueSetOID,
                                          java.lang.String strSecondAlternateValueSetVersionID)

      Set the Inventory Manufacturer Name. This field contains the manufacturer of the service item in inventory.
      Parameters:
        `strIdentifier` - Specifies of characters (the code) that uniquely identifies the item being referenced.
        `strText` - Specifies The descriptive or textual name of the identifier, e.g., myocardial infarction.
        `strNameOfCodingSystem` - Identifies the coding scheme being used in the identifier component.
        `strAlternateIdentifier` - Specifies an alternate sequence of characters (the code) that uniquely identifies the item being referenced.
        `strAlternateText` - Specifies the descriptive or textual name of the alternate identifier. See usage note in section introduction.
        `strNameOfAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strCodingSystemVersionID` - A sequence of characters that uniquely identifies a second alternate code.
        `strAlternateCodingSystemVersionId` - This component carries the version for the coding system identified by components 4-6.
        `strOriginalText` - The text as seen and/or selected by the user who entered the data.
        `strSecondAlternateIdentifier` - A sequence of characters that uniquely identifies a second alternate code.
        `strSecondAlternateText` - The descriptive or textual name of the alternate identifier.
        `strNameofSecondAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strSecondAlternateCodingSystemVersionID` - This component carries the version for the coding system identified by components 10-12.
        `strCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.3.
        `strValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.1 is obtained.
        `strValueSetVersionID` - This component carries the version for the value set identified by CWE.15. The version is a date. The date is the date/time that the value set being used was published.
        `strAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.6.
        `strAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.4 is obtained.
        `strAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.18. The version is a date.
        `strSecondAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.12.
        `strSecondAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.10 is obtained.
        `strSecondAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.21. The version is a date.

    - #### setInventoryManufacturerName

          public void setInventoryManufacturerName(CWE objinventoryManufacturerName)

      Set the Inventory Manufacturer Name. This field contains the manufacturer of the service item in inventory.
      Parameters:
        `objinventoryManufacturerName` - Object of Inventory Manufacturer Name.

    - #### setInventoryLocation

          public void setInventoryLocation(java.lang.String strIdentifier,
                                  java.lang.String strText,
                                  java.lang.String strNameOfCodingSystem,
                                  java.lang.String strAlternateIdentifier,
                                  java.lang.String strAlternateText,
                                  java.lang.String strNameOfAlternateCodingSystem,
                                  java.lang.String strCodingSystemVersionID,
                                  java.lang.String strAlternateCodingSystemVersionId,
                                  java.lang.String strOriginalText,
                                  java.lang.String strSecondAlternateIdentifier,
                                  java.lang.String strSecondAlternateText,
                                  java.lang.String strNameofSecondAlternateCodingSystem,
                                  java.lang.String strSecondAlternateCodingSystemVersionID,
                                  java.lang.String strCodingSystemOID,
                                  java.lang.String strValueSetOID,
                                  java.lang.String strValueSetVersionID,
                                  java.lang.String strAlternateCodingSystemOID,
                                  java.lang.String strAlternateValueSetOID,
                                  java.lang.String strAlternateValueSetVersionID,
                                  java.lang.String strSecondAlternateCodingSystemOID,
                                  java.lang.String strSecondAlternateValueSetOID,
                                  java.lang.String strSecondAlternateValueSetVersionID)

      Set the Inventory Location. This field contains the location of the inventory.
      Parameters:
        `strIdentifier` - Specifies of characters (the code) that uniquely identifies the item being referenced.
        `strText` - Specifies The descriptive or textual name of the identifier, e.g., myocardial infarction.
        `strNameOfCodingSystem` - Identifies the coding scheme being used in the identifier component.
        `strAlternateIdentifier` - Specifies an alternate sequence of characters (the code) that uniquely identifies the item being referenced.
        `strAlternateText` - Specifies the descriptive or textual name of the alternate identifier. See usage note in section introduction.
        `strNameOfAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strCodingSystemVersionID` - A sequence of characters that uniquely identifies a second alternate code.
        `strAlternateCodingSystemVersionId` - This component carries the version for the coding system identified by components 4-6.
        `strOriginalText` - The text as seen and/or selected by the user who entered the data.
        `strSecondAlternateIdentifier` - A sequence of characters that uniquely identifies a second alternate code.
        `strSecondAlternateText` - The descriptive or textual name of the alternate identifier.
        `strNameofSecondAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strSecondAlternateCodingSystemVersionID` - This component carries the version for the coding system identified by components 10-12.
        `strCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.3.
        `strValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.1 is obtained.
        `strValueSetVersionID` - This component carries the version for the value set identified by CWE.15. The version is a date. The date is the date/time that the value set being used was published.
        `strAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.6.
        `strAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.4 is obtained.
        `strAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.18. The version is a date.
        `strSecondAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.12.
        `strSecondAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.10 is obtained.
        `strSecondAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.21. The version is a date.

    - #### setInventoryLocation

          public void setInventoryLocation(CWE objinventoryLocation)

      Set the Inventory Location. This field contains the location of the inventory.
      Parameters:
        `objinventoryLocation` - Object of Inventory Location.

    - #### setInventoryReceivedDate

          public void setInventoryReceivedDate(java.lang.String strTime,
                                      java.lang.String strDegreeOfPrecision)

      Set the Inventory Received Date. This field contains the most recent date that the product in question is received into inventory.
      Parameters:
        `strTime` - Specifies a point in time using a 24-hour clock notation.
        `strDegreeOfPrecision` - The degree of precision of the time stamp .Suggested Values Y,L,D,H,M,S [Refer to HL7 Table 0529].

    - #### setInventoryReceivedDate

          public void setInventoryReceivedDate(DTM objinventoryReceivedDate)

      Set the Inventory Received Date. This field contains the most recent date that the product in question is received into inventory.
      Parameters:
        `objinventoryReceivedDate` - Object of Inventory Received Date.

    - #### setInventoryReceivedQuantity

          public void setInventoryReceivedQuantity(java.lang.String strInventoryReceivedQuantity)

      Set the Inventory Received Quantity. This field contains the quantity of this inventory item that is received on the date specific in IIM-7 Inventory Received Date.
      Parameters:
        `strInventoryReceivedQuantity` - Quantity of inventory received.

    - #### setInventoryReceivedQuantity

          public void setInventoryReceivedQuantity(NM objinventoryReceivedQuantity)

      Set the Inventory Received Quantity. This field contains the quantity of this inventory item that is received on the date specific in IIM-7 Inventory Received Date.
      Parameters:
        `objinventoryReceivedQuantity` - Object of Inventory Received Quantity.

    - #### setInventoryReceivedQuantityUnit

          public void setInventoryReceivedQuantityUnit(java.lang.String strIdentifier,
                                              java.lang.String strText,
                                              java.lang.String strNameOfCodingSystem,
                                              java.lang.String strAlternateIdentifier,
                                              java.lang.String strAlternateText,
                                              java.lang.String strNameOfAlternateCodingSystem,
                                              java.lang.String strCodingSystemVersionID,
                                              java.lang.String strAlternateCodingSystemVersionId,
                                              java.lang.String strOriginalText,
                                              java.lang.String strSecondAlternateIdentifier,
                                              java.lang.String strSecondAlternateText,
                                              java.lang.String strNameofSecondAlternateCodingSystem,
                                              java.lang.String strSecondAlternateCodingSystemVersionID,
                                              java.lang.String strCodingSystemOID,
                                              java.lang.String strValueSetOID,
                                              java.lang.String strValueSetVersionID,
                                              java.lang.String strAlternateCodingSystemOID,
                                              java.lang.String strAlternateValueSetOID,
                                              java.lang.String strAlternateValueSetVersionID,
                                              java.lang.String strSecondAlternateCodingSystemOID,
                                              java.lang.String strSecondAlternateValueSetOID,
                                              java.lang.String strSecondAlternateValueSetVersionID)

      Set the Inventory Received Quantity Unit. This field specify the unit for IIM-8 Inventory Received Quantity and IIM-10 Inventory Received Item Cost.
      Parameters:
        `strIdentifier` - Specifies of characters (the code) that uniquely identifies the item being referenced.
        `strText` - Specifies The descriptive or textual name of the identifier, e.g., myocardial infarction.
        `strNameOfCodingSystem` - Identifies the coding scheme being used in the identifier component.
        `strAlternateIdentifier` - Specifies an alternate sequence of characters (the code) that uniquely identifies the item being referenced.
        `strAlternateText` - Specifies the descriptive or textual name of the alternate identifier. See usage note in section introduction.
        `strNameOfAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strCodingSystemVersionID` - A sequence of characters that uniquely identifies a second alternate code.
        `strAlternateCodingSystemVersionId` - This component carries the version for the coding system identified by components 4-6.
        `strOriginalText` - The text as seen and/or selected by the user who entered the data.
        `strSecondAlternateIdentifier` - A sequence of characters that uniquely identifies a second alternate code.
        `strSecondAlternateText` - The descriptive or textual name of the alternate identifier.
        `strNameofSecondAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strSecondAlternateCodingSystemVersionID` - This component carries the version for the coding system identified by components 10-12.
        `strCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.3.
        `strValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.1 is obtained.
        `strValueSetVersionID` - This component carries the version for the value set identified by CWE.15. The version is a date. The date is the date/time that the value set being used was published.
        `strAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.6.
        `strAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.4 is obtained.
        `strAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.18. The version is a date.
        `strSecondAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.12.
        `strSecondAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.10 is obtained.
        `strSecondAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.21. The version is a date.

    - #### setInventoryReceivedQuantityUnit

          public void setInventoryReceivedQuantityUnit(CWE objinventoryReceivedQuantityUnit)

      Set the Inventory Received Quantity Unit. This field specify the unit for IIM-8 Inventory Received Quantity and IIM-10 Inventory Received Item Cost.
      Parameters:
        `objinventoryReceivedQuantityUnit` - Object of Inventory Received Quantity Unit.

    - #### setInventoryReceivedItemCost

          public void setInventoryReceivedItemCost(java.lang.String strQuantity,
                                          java.lang.String strDenomination)
                                            throws InvalidDataTypeException

      Set the Inventory Received Item Cost. This field contains the per-unit cost of the inventory item at the time of receipt.
      Parameters:
        `strQuantity` - Specifies the Quantity.
        `strDenomination` - Specifies the denomination in which the quantity is expressed.
      Throws:
        `InvalidDataTypeException`

    - #### setInventoryReceivedItemCost

          public void setInventoryReceivedItemCost(MO objinventoryReceivedItemCost)

      Set the Inventory Received Item Cost. This field contains the per-unit cost of the inventory item at the time of receipt.
      Parameters:
        `objinventoryReceivedItemCost` - Object of Inventory Received Item Cost.

    - #### setInventoryOnHandDate

          public void setInventoryOnHandDate(java.lang.String strTime,
                                    java.lang.String strDegreeOfPrecision)

      Set the Inventory On Hand Date. This field specify the most recent date that an inventory count for the inventory item was performed.
      Parameters:
        `strTime` - Specifies a point in time using a 24-hour clock notation.
        `strDegreeOfPrecision` - The degree of precision of the time stamp .Suggested Values Y,L,D,H,M,S [Refer to HL7 Table 0529].

    - #### setInventoryOnHandDate

          public void setInventoryOnHandDate(DTM objinventoryOnHandDate)

      Set the Inventory On Hand Date. This field specify the most recent date that an inventory count for the inventory item was performed.
      Parameters:
        `objinventoryOnHandDate` - Object of Inventory On Hand Date.

    - #### setInventoryOnHandQuantity

          public void setInventoryOnHandQuantity(java.lang.String strInventoryOnHandQuantity)

      Set the Inventory On Hand Quantity. This field contains the quantity of this inventory item that is available for issue/use as of the date specified in IIM-11 Inventory on Hand Date.
      Parameters:
        `strInventoryOnHandQuantity` - Quantity of in hand inventory.

    - #### setInventoryOnHandQuantity

          public void setInventoryOnHandQuantity(NM objinventoryOnHandQuantity)

      Set the Inventory On Hand Quantity. This field contains the quantity of this inventory item that is available for issue/use as of the date specified in IIM-11 Inventory on Hand Date.
      Parameters:
        `objinventoryOnHandQuantity` - Object of Inventory On Hand Quantity.

    - #### setInventoryOnHandQuantityUnit

          public void setInventoryOnHandQuantityUnit(java.lang.String strIdentifier,
                                            java.lang.String strText,
                                            java.lang.String strNameOfCodingSystem,
                                            java.lang.String strAlternateIdentifier,
                                            java.lang.String strAlternateText,
                                            java.lang.String strNameOfAlternateCodingSystem,
                                            java.lang.String strCodingSystemVersionID,
                                            java.lang.String strAlternateCodingSystemVersionId,
                                            java.lang.String strOriginalText,
                                            java.lang.String strSecondAlternateIdentifier,
                                            java.lang.String strSecondAlternateText,
                                            java.lang.String strNameofSecondAlternateCodingSystem,
                                            java.lang.String strSecondAlternateCodingSystemVersionID,
                                            java.lang.String strCodingSystemOID,
                                            java.lang.String strValueSetOID,
                                            java.lang.String strValueSetVersionID,
                                            java.lang.String strAlternateCodingSystemOID,
                                            java.lang.String strAlternateValueSetOID,
                                            java.lang.String strAlternateValueSetVersionID,
                                            java.lang.String strSecondAlternateCodingSystemOID,
                                            java.lang.String strSecondAlternateValueSetOID,
                                            java.lang.String strSecondAlternateValueSetVersionID)

      Set the Inventory on Hand Quantity Unit.
      Parameters:
        `strIdentifier` - Specifies of characters (the code) that uniquely identifies the item being referenced.
        `strText` - Specifies The descriptive or textual name of the identifier, e.g., myocardial infarction.
        `strNameOfCodingSystem` - Identifies the coding scheme being used in the identifier component.
        `strAlternateIdentifier` - Specifies an alternate sequence of characters (the code) that uniquely identifies the item being referenced.
        `strAlternateText` - Specifies the descriptive or textual name of the alternate identifier. See usage note in section introduction.
        `strNameOfAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strCodingSystemVersionID` - A sequence of characters that uniquely identifies a second alternate code.
        `strAlternateCodingSystemVersionId` - This component carries the version for the coding system identified by components 4-6.
        `strOriginalText` - The text as seen and/or selected by the user who entered the data.
        `strSecondAlternateIdentifier` - A sequence of characters that uniquely identifies a second alternate code.
        `strSecondAlternateText` - The descriptive or textual name of the alternate identifier.
        `strNameofSecondAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strSecondAlternateCodingSystemVersionID` - This component carries the version for the coding system identified by components 10-12.
        `strCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.3.
        `strValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.1 is obtained.
        `strValueSetVersionID` - This component carries the version for the value set identified by CWE.15. The version is a date. The date is the date/time that the value set being used was published.
        `strAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.6.
        `strAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.4 is obtained.
        `strAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.18. The version is a date.
        `strSecondAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.12.
        `strSecondAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.10 is obtained.
        `strSecondAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.21. The version is a date.

    - #### setInventoryOnHandQuantityUnit

          public void setInventoryOnHandQuantityUnit(CWE objinventoryOnHandQuantityUnit)

      Set the Inventory on Hand Quantity Unit.
      Parameters:
        `objinventoryOnHandQuantityUnit` - Object of Inventory on Hand Quantity Unit.

    - #### setProcedureCode

          public void setProcedureCode(java.lang.String strIdentifier,
                              java.lang.String strText,
                              java.lang.String strNameOfCodingSystem,
                              java.lang.String strAlternateIdentifier,
                              java.lang.String strAlternateText,
                              java.lang.String strNameOfAlternateCodingSystem,
                              java.lang.String strCodingSystemVersionID,
                              java.lang.String strAlternateCodingSystemVersionID,
                              java.lang.String strOriginalText,
                              java.lang.String strSecondAlternateIdentifier,
                              java.lang.String strSecondAlternateText,
                              java.lang.String strNameOfSecondAltenateCodingSystem,
                              java.lang.String strSecondAlternateCodingSystemVersionID,
                              java.lang.String strCodingSystemOID,
                              java.lang.String strValueSetOID,
                              java.lang.String strValueSetVersionID,
                              java.lang.String strAlternateCodingSystemOID,
                              java.lang.String strAlternateValueSetOID,
                              java.lang.String strAlternateValueSetVersionID,
                              java.lang.String strSecondAlternateCodingSystemOID,
                              java.lang.String strSecondAlternateValueSetOID,
                              java.lang.String strSecondAlternateValueSetVersionID)

      Set the Procedure Code. This field contains a unique identifier assigned to the service item, if any, associated with the charge.
      Parameters:
        `strIdentifier` - Specifies sequence of characters (the code) that uniquely identifies the item being referenced by the CNE.
        `strText` - Specifies descriptive or textual name of the identifier, e.g., myocardial infarction
        `strNameOfCodingSystem` - Specifies the coding scheme being used in the identifier component.
        `strAlternateIdentifier` - Specifies the local or user seen code as described.
        `strAlternateText` - Specifies descriptive or textual name of the alternate identifier.
        `strNameOfAlternateCodingSystem` - Specifies the coding scheme being used in the alternate identifier component.
        `strCodingSystemVersionID` - Specifies the version ID for the coding system.
        `strAlternateCodingSystemVersionID` - Specifies the version ID for the coding system .
        `strOriginalText` - Specifies the original text that was available to an automated process or a human before a specific code was assigned.
        `strSecondAlternateIdentifier` - Specifies a sequence of characters that uniquely identifies the second alternate code
        `strSecondAlternateText` - Specifies a the textual information of the second alternate code
        `strNameOfSecondAltenateCodingSystem` - Specifies the second coding scheme being used in the identifier component.
        `strSecondAlternateCodingSystemVersionID` - Specifies version ID of Second alternative coding system.
        `strCodingSystemOID` - contains the ISO Object identifier for the coding system.
        `strValueSetOID` - contains the value set from which CNE-1 is obtained
        `strValueSetVersionID` - contains the version of the value set identified by CNE-15.
        `strAlternateCodingSystemOID` - contains the ISO Object identifier for the alternate coding system
        `strAlternateValueSetOID` - contains the value set from which CNE-4 is obtained
        `strAlternateValueSetVersionID` - contains the version of the value set identified by CNE-18.
        `strSecondAlternateCodingSystemOID` - contains the value set from which CNE-12 is obtained
        `strSecondAlternateValueSetOID` - contains the value set from which CNE-10 is obtained
        `strSecondAlternateValueSetVersionID` - contains the version of the value set identified by CNE-21.

    - #### setProcedureCode

          public void setProcedureCode(CNE objprocedureCode)

      Set the Procedure Code. This field contains a unique identifier assigned to the service item, if any, associated with the charge.
      Parameters:
        `objprocedureCode` - Object of Procedure Code.

    - #### addProcedureCodeModifier

          public void addProcedureCodeModifier(java.lang.String strIdentifier,
                                      java.lang.String strText,
                                      java.lang.String strNameOfCodingSystem,
                                      java.lang.String strAlternateIdentifier,
                                      java.lang.String strAlternateText,
                                      java.lang.String strNameOfAlternateCodingSystem,
                                      java.lang.String strCodingSystemVersionID,
                                      java.lang.String strAlternateCodingSystemVersionID,
                                      java.lang.String strOriginalText,
                                      java.lang.String strSecondAlternateIdentifier,
                                      java.lang.String strSecondAlternateText,
                                      java.lang.String strNameOfSecondAltenateCodingSystem,
                                      java.lang.String strSecondAlternateCodingSystemVersionID,
                                      java.lang.String strCodingSystemOID,
                                      java.lang.String strValueSetOID,
                                      java.lang.String strValueSetVersionID,
                                      java.lang.String strAlternateCodingSystemOID,
                                      java.lang.String strAlternateValueSetOID,
                                      java.lang.String strAlternateValueSetVersionID,
                                      java.lang.String strSecondAlternateCodingSystemOID,
                                      java.lang.String strSecondAlternateValueSetOID,
                                      java.lang.String strSecondAlternateValueSetVersionID)

      Add the Procedure Code Modifier. This field contains the procedure code modifier to the procedure code reported in IIM-14 Procedure Code, when applicable.
      Parameters:
        `strIdentifier` - Specifies sequence of characters (the code) that uniquely identifies the item being referenced by the CNE.
        `strText` - Specifies descriptive or textual name of the identifier, e.g., myocardial infarction
        `strNameOfCodingSystem` - Specifies the coding scheme being used in the identifier component.
        `strAlternateIdentifier` - Specifies the local or user seen code as described.
        `strAlternateText` - Specifies descriptive or textual name of the alternate identifier.
        `strNameOfAlternateCodingSystem` - Specifies the coding scheme being used in the alternate identifier component.
        `strCodingSystemVersionID` - Specifies the version ID for the coding system.
        `strAlternateCodingSystemVersionID` - Specifies the version ID for the coding system .
        `strOriginalText` - Specifies the original text that was available to an automated process or a human before a specific code was assigned.
        `strSecondAlternateIdentifier` - Specifies a sequence of characters that uniquely identifies the second alternate code
        `strSecondAlternateText` - Specifies a the textual information of the second alternate code
        `strNameOfSecondAltenateCodingSystem` - Specifies the second coding scheme being used in the identifier component.
        `strSecondAlternateCodingSystemVersionID` - Specifies version ID of Second alternative coding system.
        `strCodingSystemOID` - contains the ISO Object identifier for the coding system.
        `strValueSetOID` - contains the value set from which CNE-1 is obtained
        `strValueSetVersionID` - contains the version of the value set identified by CNE-15.
        `strAlternateCodingSystemOID` - contains the ISO Object identifier for the alternate coding system
        `strAlternateValueSetOID` - contains the value set from which CNE-4 is obtained
        `strAlternateValueSetVersionID` - contains the version of the value set identified by CNE-18.
        `strSecondAlternateCodingSystemOID` - contains the value set from which CNE-12 is obtained
        `strSecondAlternateValueSetOID` - contains the value set from which CNE-10 is obtained
        `strSecondAlternateValueSetVersionID` - contains the version of the value set identified by CNE-21.

    - #### addProcedureCodeModifier

          public void addProcedureCodeModifier(CNE objProcedureCodeModifier)

      Add the Procedure Code Modifier. This field contains the procedure code modifier to the procedure code reported in IIM-14 Procedure Code, when applicable.
      Parameters:
        `objProcedureCodeModifier` - Object of Procedure Code Modifier.

    - #### setProcedureCodeModifier

          public void setProcedureCodeModifier(ISingleCollection<CNE> objProcedureCodeModifierList)

      Set the Procedure Code Modifier. This field contains the procedure code modifier to the procedure code reported in IIM-14 Procedure Code, when applicable.
      Parameters:
        `objProcedureCodeModifierList` - List of Procedure Code Modifier.

    - #### validate

          public boolean validate()
                           throws InvalidSegmentException

      Validates HL7 Message objects . Validate method checks for validation each and every segments in side the Message object against specified message Structure. Validation checks include optionality of segment or group. It also verifies the number of times segment or group is repeated in message. e.g {PSH} while parsing PSH segment validate method will check for its mandatory presence. [PSH] in this case validate will throw exception if one tries to enter more than one PSH segment.
      Specified by:
        `validate` in interface `ISegment`
      Overrides:
        `validate` in class `Segment`
      Returns:
        boolean - true or false.
      Throws:
        `InvalidSegmentException` - If Segment Validation fails